Bug 12094 - string literal too long (globals.pl:224)
string literal too long (globals.pl:224)
Status: CLOSED CURRENTRELEASE
Product: Bugzilla
Classification: Community
Component: Bugzilla General (Show other bugs)
2.8
i386 Linux
medium Severity medium (vote)
: ---
: ---
Assigned To: David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-06-11 14:37 EDT by Tim Waugh
Modified: 2008-05-01 11:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-06-12 05:00:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tim Waugh 2000-06-11 14:37:18 EDT
This happened just now:

Content-type: text/html 

Software error:

DBD::Oracle::st execute failed: ORA-01704: string literal too long (DBD
ERROR: OCIStmtExecute) at
globals.pl line 224. 

For help, please send mail to the webmaster (bugzilla@redhat.com), giving
this error message and the time and date of the error
Comment 1 David Lawrence 2000-06-11 15:06:01 EDT
Please tell me exactly what page you were looking at and what you were doing
when you received this error.
Comment 2 Tim Waugh 2000-06-12 05:00:36 EDT
I was entering bug 12093.  I had just pressed the 'submit' button.  The text of
the report (now split into attachments) was missing but the bug was in the
database.
Comment 3 David Lawrence 2000-07-03 18:29:43 EDT
Ok I have one some changes to make Bugzilla insert large text objects into
Oracle using bind_params() in Perl DBI. This should hopefully be fixed until I
convert away from using LONG datatypes in Oracle which should not be too long
from now. Let me know if this happens again.

Note You need to log in before you can comment on or make changes to this bug.